/**
 * 
 */
package jp.ogakisoft.debug;

import com.google.gwt.core.client.GWT;
import com.google.gwt.event.dom.client.ClickEvent;
import com.google.gwt.uibinder.client.UiBinder;
import com.google.gwt.uibinder.client.UiField;
import com.google.gwt.uibinder.client.UiHandler;
import com.google.gwt.user.client.Window;
import com.google.gwt.user.client.ui.Button;
import com.google.gwt.user.client.ui.Composite;
import com.google.gwt.user.client.ui.Widget;

/**
 * @author noritoshi
 *
 */
public class UiTest extends Composite {

	private static UiTestUiBinder uiBinder = GWT.create(UiTestUiBinder.class);

	interface UiTestUiBinder extends UiBinder<Widget, UiTest> {
	}

	@UiField
	Button button;

	public UiTest(String firstName) {
		initWidget(uiBinder.createAndBindUi(this));

		// Can access @UiField after calling createAndBindUi
		button.setText(firstName);
	}

	@UiHandler("button")
	void onClick(ClickEvent e) {
		Window.alert("Hello!");
	}

}
