package jp.ogakisoft.quiz.server;

import javax.jdo.annotations.IdGeneratorStrategy;
import javax.jdo.annotations.IdentityType;
import javax.jdo.annotations.PersistenceCapable;
import javax.jdo.annotations.Persistent;
import javax.jdo.annotations.PrimaryKey;

import com.google.appengine.api.datastore.Key;

@PersistenceCapable(identityType = IdentityType.APPLICATION)
public class QuizTitleJDO {

	@PrimaryKey
	@Persistent(valueStrategy = IdGeneratorStrategy.IDENTITY)
	private Key id;

	@Persistent
	private String path;
	@Persistent
	private String quizId;
	@Persistent
	private String ver;
	@Persistent
	private String title;
	@Persistent
	private String minPoint;
	@Persistent
	private String maxPoint;
	@Persistent
	private String timeLimit;
	@Persistent
	private String count;

	public Key getId() {
		return id;
	}

	public void setId(Key id) {
		this.id = id;
	}

	public String getPath() {
		return path;
	}

	public void setPath(String path) {
		this.path = path;
	}

	public String getQuizId() {
		return quizId;
	}

	public void setQuizId(String quizId) {
		this.quizId = quizId;
	}

	public String getVer() {
		return ver;
	}

	public void setVer(String ver) {
		this.ver = ver;
	}

	public String getTitle() {
		return title;
	}

	public void setTitle(String title) {
		this.title = title;
	}

	public String getMinPoint() {
		return minPoint;
	}

	public void setMinPoint(String minPoint) {
		this.minPoint = minPoint;
	}

	public String getMaxPoint() {
		return maxPoint;
	}

	public void setMaxPoint(String maxPoint) {
		this.maxPoint = maxPoint;
	}

	public String getTimeLimit() {
		return timeLimit;
	}

	public void setTimeLimit(String timeLimit) {
		this.timeLimit = timeLimit;
	}

	public String getCount() {
		return count;
	}

	public void setCount(String count) {
		this.count = count;
	}

	@Override
	public String toString() {
		StringBuilder builder = new StringBuilder();
		builder.append("QuizTitleJDO {");
		builder.append("id=");
		builder.append(id);
		builder.append(", path=");
		builder.append(path);
		builder.append(", quizId=");
		builder.append(quizId);
		builder.append(", title=");
		builder.append(title);
		builder.append(", ver=");
		builder.append(ver);
		builder.append(", maxPoint=");
		builder.append(maxPoint);
		builder.append(", minPoint=");
		builder.append(minPoint);
		builder.append(", timeLimit=");
		builder.append(timeLimit);
		builder.append(", count=");
		builder.append(count);
		builder.append("}");
		return builder.toString();
	}
}
